#!/bin/bash

#########################################
# Screen Cast Mirroring service install #
#########################################

echo "*** Screen Cast Mirroring service setup v19 ***"
#
cd "$(dirname "$0")"
chmod 0777 ./tools/adb
adb="./tools/adb -d"
appVersion="com.mobzapp.screencast"

# Check whether device is connected or wait for one
adbState=$($adb get-state)
if [[ $adbState == "device" ]]; then
    echo "Device not found -- connect one to continue..."
    $adb wait-for-device
    echo "Device connected."
    
    # find installed version of Screen Cast Mirroring
	checkApp=$($adb shell pm path com.mobzapp.screencast)
	if [[ $checkApp != "" ]]; then
		version=$appVersion
	else
		version=""
	fi

	if [ ! -z $version ]; then
		# Stop application
		echo "Stopping Screen Cast Mirroring application..."
		$adb shell "am force-stop "$appVersion
		$adb shell "am kill "$appVersion
		# Stop the service
		$adb shell killall -9 ScreenStreamServerNR >/dev/null
		# Stop also the new service
		$adb shell killall -9 ScreenStreamEncServer >/dev/null
		echo "Starting Screen Cast Mirroring service..."
		# Start the service
		$adb shell "/data/data/"$version"/files/ScreenStreamServerNR; cp /data/data/"$version"/files/ScreenStreamServerNR /data/local/tmp/; /data/local/tmp/ScreenStreamServerNR" >/dev/null &
		# Start also the new service
		$adb shell "/data/data/"$version"/files/ScreenStreamEncServer; cp /data/data/"$version"/files/ScreenStreamEncServer /data/local/tmp/; /data/local/tmp/ScreenStreamEncServer" >/dev/null &
		# Start application
		echo "Restarting Screen Cast Mirroring application..."
		$adb shell "am start -n "$version"/com.mobzapp.screenstream.StartupSplashActivity" >/dev/null &
	else
		echo "*** Application not found! Please check Screen Cast Mirroring installation, and be sure you unzipped the entire ZIP content ***"
	fi
    
else
	echo
	echo "Device not found:"
	echo
	echo "1. Check you enabled USB debugging option (read Instructions.txt if needed) and (re)plug device to USB."
	echo
	echo "2. Check you authorized the computer for USB debugging if a confirmation dialog appeared on your Android device."
	echo
	echo "3. Check you unzipped the entire ZIP file content."
	echo
fi
